//
//  ViewController.swift
//  BeforeSendCrash
//
//  Created by Lee Watkins on 04/11/2024.
//

import UIKit

class ViewController: UIViewController {
    private let centerButton: UIButton = {
        let button = UIButton()
        button.setTitle("Crash the app", for: .normal)
        button.setTitleColor(.systemBlue, for: .normal)
        button.translatesAutoresizingMaskIntoConstraints = false
        return button
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        setupUI()
    }

    private func setupUI() {
        view.backgroundColor = .white

        // Add button to view
        view.addSubview(centerButton)

        // Center the button in the view
        NSLayoutConstraint.activate([
            centerButton.centerXAnchor.constraint(equalTo: view.centerXAnchor),
            centerButton.centerYAnchor.constraint(equalTo: view.centerYAnchor)
        ])

        // Add target action
        centerButton.addTarget(self, action: #selector(buttonTapped), for: .touchUpInside)
    }

    @objc private func buttonTapped() {
        [][0]
    }
}

